Amazon Linux AMI:sqlite (ALAS-2015-591)

high Nessus 插件 ID 85749

简介

远程 Amazon Linux AMI 主机缺少安全更新。

描述

在 SQLite 处理取消引用合并序列名的方式中发现发现一个缺陷。本地攻击者可以提交特别构建的 COLLATE 语句使 SQLite 进程崩溃,或造成其他不明影响。(CVE-2015-3414)

发现 SQLite 的 sqlite3VdbeExec() 函数未能正确实现比较运算符。本地攻击者可以提交特别构建的 CHECK 语句使 SQLite 进程崩溃,或造成其他不明影响。(CVE-2015-3415)

发现 SQLite 的 sqlite3VXPrintf() 函数在浮点转换期间未能正确处理精度和宽度值。本地攻击者可以提交特别构建的 SELECT 语句使 SQLite 进程崩溃,或造成其他不明影响。
(CVE-2015-3416)

解决方案

运行“yum update sqlite”以更新系统。

另见

https://alas.aws.amazon.com/ALAS-2015-591.html

插件详情

严重性: High

ID: 85749

文件名: ala_ALAS-2015-591.nasl

版本: 2.4

类型: local

代理: unix

发布时间: 2015/9/3

最近更新时间: 2018/4/18

支持的传感器: Frictionless Assessment Agent, Frictionless Assessment AWS, Nessus Agent

风险信息

VPR

风险因素: Medium

分数: 6.7

CVSS v2

风险因素: High

基本分数: 7.5

矢量: AV:N/AC:L/Au:N/C:P/I:P/A:P

漏洞信息

CPE: p-cpe:/a:amazon:linux:lemon, p-cpe:/a:amazon:linux:sqlite, p-cpe:/a:amazon:linux:sqlite-debuginfo, p-cpe:/a:amazon:linux:sqlite-devel, p-cpe:/a:amazon:linux:sqlite-doc, p-cpe:/a:amazon:linux:sqlite-tcl, cpe:/o:amazon:linux

必需的 KB 项: Host/local_checks_enabled, Host/AmazonLinux/release, Host/AmazonLinux/rpm-list

补丁发布日期: 2015/9/2

参考资料信息

CVE: CVE-2015-3414, CVE-2015-3415, CVE-2015-3416

ALAS: 2015-591